<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/

include("includes.php");
	
include("header.php");
	

// create letter links
$sql = "SELECT DISTINCT SUBSTRING(UPPER(asset_name),1,1) AS asset_letter
	FROM asset
	ORDER BY asset_letter";
$sth = $dbh->query($sql);

$alphabet = $sth->fetchAll();
$smarty->assign("alphabet", $alphabet);

// total asset count
$sth = $dbh->query("SELECT COUNT(*) FROM asset");
$smarty->assign("assetcount", $sth->fetchColumn());

// assets for current letter
if (isset($_GET['asset_letter'])) {
    $asset_letter = sanitize($_GET['asset_letter']);
} else {
   $asset_letter = $alphabet[0]['asset_letter'];
}
		
$sql = "SELECT a.asset_id, IF(LENGTH(a.asset_name)>0, a.asset_name, '...') AS asset_name,
            a.asset_info, c.assetclass_id, c.assetclass_name
	FROM asset AS a LEFT OUTER JOIN assetclass AS c USING (assetclass_id)
	WHERE SUBSTRING(a.asset_name,1,1)=?
	ORDER BY a.asset_name";
$sth = $dbh->prepare($sql);
$sth->execute([$asset_letter]);
$smarty->assign("assets", $sth->fetchAll());

$smarty->display("asset.tpl");

include("footer.php");
?>
