<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/

include("includes.php");

$asset_id = sanitize($_GET['asset_id']);

include("header.php");

$sql = "SELECT a.asset_id, a.asset_name, a.asset_hostname, a.asset_info,
            c.assetclass_id, c.assetclass_name
	FROM asset AS a LEFT OUTER JOIN assetclass AS c USING (assetclass_id)
	WHERE a.asset_id=?";
$sth = $dbh->prepare($sql);
$sth->execute([$asset_id]);
$asset = $sth->fetch(PDO::FETCH_OBJ);
$smarty->assign("asset", $asset);

$sql = "SELECT node_id, node_ip, LEFT(node_info, 40) as node_info
	FROM node
	WHERE asset_id=?
	ORDER BY INET_ATON(node_ip)";
$sth = $dbh->prepare($sql);
$sth->execute([$asset_id]);
$smarty->assign("nodes", $sth->fetchAll(PDO::FETCH_ASSOC));

$smarty->display("assetview.tpl");

include("footer.php");
?>
