<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/

include("includes.php");
include("header.php");

$sql = "SELECT s.subnet_id, s.subnet_address, s.subnet_mask,
        s.ntp_server, LEFT(s.subnet_info, 40) AS subnet_info,
        CHAR_LENGTH(s.subnet_info) AS subnet_length,
        COUNT(node.subnet_id) AS node_counter
    FROM subnet AS s LEFT JOIN node USING (subnet_id)
    GROUP BY s.subnet_id
    ORDER BY INET_ATON(s.subnet_address)";
$sth = $dbh->query($sql);

$smarty->assign("subnets", $sth->fetchAll());

$smarty->display("subnet.tpl");

include("footer.php");
?>
