<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/

include("includes.php");

$vlan_id = sanitize($_GET['vlan_id']);
		
include("header.php");

// vlan
$sql = "SELECT vlan_id AS id, vlan_name AS name, vlan_number AS number,
            vlan_info AS info
        FROM vlan
        WHERE vlan_id=?";
$sth = $dbh->prepare($sql);
$sth->execute([$vlan_id]);
$smarty->assign("vlan", $sth->fetch(PDO::FETCH_OBJ));

// subnets
$sql = "SELECT s.subnet_id, s.subnet_address, s.subnet_mask, s.subnet_info
        FROM subnet AS s LEFT JOIN subnetvlan AS v USING (subnet_id)
        WHERE v.vlan_id=?
        ORDER BY INET_ATON(s.subnet_address)";
$sth = $dbh->prepare($sql);
$sth->execute([$vlan_id]);
$smarty->assign("subnets", $sth->fetchAll());

$smarty->display("vlanview.tpl");

include("footer.php");
?>
